Get an agent's round-robin transfer list
curl --request GET \
--url https://api.pineyard.ai/agents/{id}/transfer-targets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/agents/{id}/transfer-targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/agents/{id}/transfer-targets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"targets": [
{
"id": "<string>",
"label": "<string>",
"phoneNumber": "<string>",
"active": true,
"position": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}Agents
Get an agent's round-robin transfer list
The numbers a round-robin transfer rotates through, in rotation order. Available only while round-robin transfer is enabled for your workspace; otherwise 404 not_found. See Round-robin transfer.
GET
/
agents
/
{id}
/
transfer-targets
Get an agent's round-robin transfer list
curl --request GET \
--url https://api.pineyard.ai/agents/{id}/transfer-targets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/agents/{id}/transfer-targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/agents/{id}/transfer-targets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"targets": [
{
"id": "<string>",
"label": "<string>",
"phoneNumber": "<string>",
"active": true,
"position": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}
